Bug 1308650 - [abrt] firefox: nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*)(): firefox killed by SIGSEGV
[abrt] firefox: nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*)(): ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3d0ad4ecb406fc71e46fb261fc1...
:
: 1313269 1324756 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 11:53 EST by Adam Williamson
Modified: 2017-08-08 09:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (207.22 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: core_backtrace (204.00 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: dso_list (14.45 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: environ (2.24 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: maps (76.30 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: mountinfo (4.85 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: open_fds (8.37 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details
File: var_log_messages (316 bytes, text/plain)
2016-02-15 11:53 EST, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2016-02-15 11:53:21 EST
Description of problem:
Firefox seems to crash frequently in current Rawhide, including when visiting Facebook or The Verge (https://www.theverge.com ).

Version-Release number of selected component:
firefox-44.0.2-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox https://fedoraproject.org/wiki/Test_Results:Fedora_24_Rawhide_20160214_Installation#Default_boot_and_install
crash_function: nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*)
executable:     /usr/lib64/firefox/firefox
global_pid:     6303
kernel:         4.5.0-0.rc3.git3.2.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 0 (1 frames)
 #1 nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*) at /usr/src/debug/firefox-44.0.2/firefox-44.0.2/toolkit/profile/nsProfileLock.cpp:185
Comment 1 Adam Williamson 2016-02-15 11:53:26 EST
Created attachment 1127346 [details]
File: backtrace
Comment 2 Adam Williamson 2016-02-15 11:53:27 EST
Created attachment 1127347 [details]
File: cgroup
Comment 3 Adam Williamson 2016-02-15 11:53:29 EST
Created attachment 1127348 [details]
File: core_backtrace
Comment 4 Adam Williamson 2016-02-15 11:53:30 EST
Created attachment 1127349 [details]
File: dso_list
Comment 5 Adam Williamson 2016-02-15 11:53:31 EST
Created attachment 1127350 [details]
File: environ
Comment 6 Adam Williamson 2016-02-15 11:53:33 EST
Created attachment 1127351 [details]
File: limits
Comment 7 Adam Williamson 2016-02-15 11:53:34 EST
Created attachment 1127352 [details]
File: maps
Comment 8 Adam Williamson 2016-02-15 11:53:35 EST
Created attachment 1127353 [details]
File: mountinfo
Comment 9 Adam Williamson 2016-02-15 11:53:36 EST
Created attachment 1127354 [details]
File: namespaces
Comment 10 Adam Williamson 2016-02-15 11:53:37 EST
Created attachment 1127355 [details]
File: open_fds
Comment 11 Adam Williamson 2016-02-15 11:53:38 EST
Created attachment 1127356 [details]
File: proc_pid_status
Comment 12 Adam Williamson 2016-02-15 11:53:39 EST
Created attachment 1127357 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 10:21:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Couret Charles-Antoine 2016-02-28 16:25:56 EST
Similar problem has been detected:

Firefox under Fedora Rawhide is very unstable.
It crashed regulary, sometimes during its starting, sometimes not.

It occured more often in big web page like GMail.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*)
executable:     /usr/lib64/firefox/firefox
global_pid:     6112
kernel:         4.5.0-0.rc5.git0.2.fc24.x86_64
package:        firefox-44.0.2-3.fc24
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Adam Williamson 2016-02-28 17:24:54 EST
FWIW, I switched from AdBlock Plus and NoScript to UBlock Origin and uMatrix and it crashes quite a lot less now, though it still does crash every so often.
Comment 16 Martin Stransky 2016-03-01 04:47:20 EST
*** Bug 1313269 has been marked as a duplicate of this bug. ***
Comment 17 Han Han 2016-03-06 22:10:10 EST
Similar problem has been detected:

Download a sh file and 'choose open with gedit', the firefox crashed

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*)
executable:     /usr/lib64/firefox/firefox
global_pid:     23936
kernel:         4.5.0-0.rc6.git0.1.fc24.x86_64
package:        firefox-44.0.2-3.fc24
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Couret Charles-Antoine 2016-03-13 20:41:46 EDT
Finally, disable NoScript extension solve the problem (in my case).
Comment 19 Han Han 2016-03-14 07:28:32 EDT
Similar problem has been detected:

Crashed when open RHEVM

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler(int, siginfo_t*, void*)
executable:     /usr/lib64/firefox/firefox
global_pid:     14782
kernel:         4.5.0-0.rc7.git0.2.fc24.x86_64
package:        firefox-45.0-4.fc24
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Christian Stadelmann 2016-04-07 04:18:48 EDT
*** Bug 1324756 has been marked as a duplicate of this bug. ***
Comment 21 Christian Stadelmann 2016-04-23 07:41:25 EDT
It looks to me like many different, unrelated bugs result in this backtrace.

I just ran into one bug which happened this way:
1. reload this page
2. while still reloading, drag the tab around in firefox's tab bar
This bug can be reproduced reliably (>50% chance) when testing with e10s enabled.

I have also seen this backtrace regularly when having e10s disabled, but haven't found a way to reproduce.
Comment 22 Adam Williamson 2016-04-23 09:57:37 EDT
I haven't seen my case since the recent Firefox update which fixed some known crasher bugs related to GCC 6 compilation, so that *may* have fixed it, but I'm gonna give it a few more days to be sure before closing.
Comment 23 Christian Stadelmann 2016-04-23 12:38:05 EDT
After the recent firefox update (firefox-45.0.2-4.fc24) this bug is occurring less often, but it still happens.

> I'm gonna give it a few more days to be sure before closing.

As written above, this is not just for one, but for multiple different bugs. Is there any chance to get firefox / abrt create different backtraces for different problems?
Comment 24 Adam Williamson 2016-04-23 13:45:11 EDT
It does. If abrt marks a report as a dupe it's because it thinks it's the same bug. The 'is this the same crash' detection is a bunch of heuristics, of course, but it's usually pretty good. If you think it's wrong the best thing to do is report the case to the libreport team.

You can't force abrt to create a non-dupe report, what you can do is grab the coredump from the abrt problem directory and generate a backtrace with gdb and file a new bug manually.
Comment 25 Christian Stadelmann 2016-05-16 06:16:36 EDT
(In reply to Adam Williamson from comment #24)
> It does. If abrt marks a report as a dupe it's because it thinks it's the
> same bug. The 'is this the same crash' detection is a bunch of heuristics,
> of course, but it's usually pretty good. If you think it's wrong the best
> thing to do is report the case to the libreport team.

Done, see bug #1330560

> You can't force abrt to create a non-dupe report, what you can do is grab
> the coredump from the abrt problem directory and generate a backtrace with
> gdb and file a new bug manually.

Ok, thanks for the hint.
Comment 26 Fedora End Of Life 2017-07-25 16:10:34 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 27 Fedora End Of Life 2017-08-08 09:03:27 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.